Last updated: September 23, 2026
Create JWT App
Create JWT App.
Request
POST
https://superadminuser.miniorange.in/services/api/apps/v1/jwtAuthentication headers (required on every request)
- Customer-Key
- Super Admin ID for the actor account.
- Timestamp
- Milliseconds since epoch (e.g. Date.now()).
- Authorization
- SHA-512 of superAdminId + timestamp + apiKey.
- X-Target-Customer-Id
- Customer tenant the Super Admin is acting on.
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
| idpApplicationsName | String | Optional | |
| appName | String | Optional | |
| appDescription | String | Optional | |
| redirectUrls | String | Optional | |
| logoutUrl | String | Optional | |
| expiryTime | Number | Optional | |
| clientId | String | Optional | |
| clientSecret | String | Optional | |
| algo | String | Optional | |
| subject | String | Optional | |
| subjectAttributeValue | String | Optional | |
| sloEnabled | String | Optional | |
| forceAuthn | String | Optional | |
| showOnEnduserDashboard | String | Optional | |
| isCustomerIdpEnabled | String | Optional | |
| isUserMapping | String | Optional | |
| updateCustomerDuringSso | String | Optional | |
| isMultivaluedAttributesEnabled | String | Optional | |
| isSharedAccount | String | Optional | |
| jwtRequestParameters | String | Optional | |
| identitySource | String | Optional | |
| attributeMappings | String | Optional |
Request body
{
"idpApplicationsName": "JWT App",
"appName": "My JWT App",
"appDescription": "Description of my JWT app",
"redirectUrls": [
"https://myapp.example.com/callback"
],
"logoutUrl": "https://myapp.example.com/logout",
"expiryTime": 60,
"clientId": null,
"clientSecret": null,
"algo": "RSA-SHA256",
"subject": "EMAIL",
"subjectAttributeValue": null,
"sloEnabled": false,
"forceAuthn": false,
"showOnEnduserDashboard": true,
"isCustomerIdpEnabled": false,
"isUserMapping": false,
"updateCustomerDuringSso": false,
"isMultivaluedAttributesEnabled": false,
"isSharedAccount": false,
"jwtRequestParameters": "param1;param2",
"identitySource": null,
"attributeMappings": [
{
"attributeName": "email",
"attributeType": "MINIORANGE",
"attributeValue": "EMAIL"
},
{
"attributeName": "firstName",
"attributeType": "MINIORANGE",
"attributeValue": "FIRST_NAME"
},
{
"attributeName": "lastName",
"attributeType": "MINIORANGE",
"attributeValue": "LAST_NAME"
}
]
}
No sample response is documented for this endpoint yet. Use Try it on the right to see the live response from your tenant.